<? $defines = Zend_Registry::get('defines'); ?>

<div class="section-subtitle uppercase"><?= __('manage_mem_profile') ?></div>
<div class="box-section inputs-container member-profile-page">
    <p class="text-grey"><?= __('manage_mem_profile_desc') ?></p>
    <div class="clear mb-10"></div>
    <!--<div class="escort-container-info d-flex flex-wrap flex-md-nowrap align-items-center">
        <?/* if ($this->avatar): */?>
            <div class="image bg-image" id="profile-pic" style="background-image: url(<?/*= $this->avatar */?>);"></div>
        <?/* else: */?>
            <img class="no-avatar" id="profile-pic"  src="/img/private/member_profile_avatar.jpg">
            <div class="image bg-image" style="background-image: url('/images/default-image.jpeg');"></div>
        <?/* endif; */?>
        <div class="clear mb-20 mobile d-flex w-100"></div>
        <div class="escort-info">
            <div class="d-flex flex-wrap flex-md-nowrap align-items-center justify-content-center justify-content-md-start">
                <div class="name"><?/*= $this->user->username */?></div>
            </div>
            <a href="#" class="text-grey">ID: 35847</a>
            <p class="text-grey">Member Since: <?/*= substr($this->user_data["date_registered"], 0, 11) */?></p>
            <div class="clear mb-10"></div>

            <form class="member-photo-upload-form" data-type="profile"
                  action="/private/member-pic?a=upload">
                <input type="file" class="d-none" id="member-profile-pic-file" name="file" accept="image/*">
                <a href="#" data-target="#member-profile-pic-file"
                   class="btn btn-grey image-trigger btn-medium btn-bold text-uppercase"><?/*= __('add_replace_photo') */?></a>
            </form>

        </div>
    </div>-->
    <div class="clear mb-40 desktop"></div>

    <!-- Progress Bar-->
    <div class="progress-wrapper profile-pics-progress-bar my-4" style="display: none;">
        <p class="process-status text-grey">
            <span class="text"></span>
            <i class="fas fa-times close" data-file-type="profile"></i>
        </p>

        <div class="progress-info">
            <?= __('file_progress') ?> ...
            <i class="far fa-trash-alt close abort-upload" data-abort-target="profile"></i>
        </div>

        <div class="progress mt-2">
            <div class="progress-bar progress-bar-striped"></div>
        </div>
    </div>
    <!-- / -->

    <!-- Errors-->
    <div class="errors-container" id="errors-container" style="display: none;">
        <div class="section-subtitle uppercase">
            <?= __('errors') ?>
        </div>
        <div class="box-section py-3 px-0">
            <ol>
                <li class="visible-on-error">
                    <p id="validation-gender"></p>
                </li>
                <li class="visible-on-error">
                    <p id="validation-language_error"></p>
                </li>
            </ol>
        </div>
    </div>
    <!-- / -->


    <form class="ajax-form form" action="<?= $this->getLink('private-member-profile') ?>" method="post">
        <p class="text-grey"><?= __('profile_details') ?></p>
        <div class="clear mb-10"></div>
        <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
            <input id="nameInput" type="text" disabled placeholder="<?= __('name') ?>"
                   value="<?= $this->user->username ?>">
        </div>
        <p class="small-text"> <?= __('username_can_change_only_admin') ?>
        </p>
        <div class="clear mb-40 desktop"></div>
        <div class="d-flex div-2-cols border-separator">
            <div class="dropdown-selection dropdown-with-radio single-option w-100">
                <div class="dropdown">
                    <select class="single-option-select d-none" name="gender">
                        <? foreach ($defines['gender_options'] as $i => $gender): ?>
                            <? if ($i != 5): ?>
                                <? if ($i == $this->user_data->gender) $primary_gender = $gender; ?>
                                <option value="<?= $i ?>" <?= $i == $this->user_data->gender ? 'selected="selected"' : '' ?>><?= $gender ?></option>
                            <? endif; ?>
                        <? endforeach; ?>
                    </select>
                    <a class="dropdown-toggle" id="genderFilter" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <label><?= __('gender') ?></label>
                        <span class="dropdown-toggle-val uppercase">
                            <?= $primary_gender ? $primary_gender : __('nothing_selected_html') ?>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="genderFilter">
                        <? foreach ($defines['gender_options'] as $i => $gender): ?>
                            <? if ($i != 5): ?>
                                <li data-val="<?= $i ?>"><a href="javascript:void(0)"><?= __(strtolower($gender)) ?></a></li>
                            <? endif; ?>
                        <? endforeach; ?>
                    </ul>
                </div>
                <div class="radio-button-container">
                    <input class="rounded-checkbox" type="checkbox" id="show_gender" name="show_gender"
                           value="1" <?= $this->user_data->show_gender ? 'checked="checked"' : '' ?>>
                    <!--<label for="show_gender" class="text-grey"
                           style="font-size: 16px;line-height: 18px;"><?/*= __('show_public') */?></label>-->
                </div>
            </div>
            <div class="dropdown-selection dropdown-with-radio single-option w-100">
                <div class="dropdown-selection justify-content-between align-items-center flex-fill">
                    <label><?= __('interested_in') ?></label>
                    <select size="5" class="multiple-dropdown-box" name="interests[]" multiple="multiple"
                            id="filter_11">
                        <? foreach ($defines['gender_options'] as $i => $gender): ?>
                            <? if ($i != 5): ?>
                                <option value="<?= $i ?>" <?= in_array($i, unserialize($this->user_data['interests'])) ? 'selected="selected"' : '' ?>>
                                    <?= __(strtolower('gender_'.$i.'_interested_in') ) ?></option>
                            <? endif; ?>
                        <? endforeach; ?>
                    </select>
                </div>
                <div class="radio-button-container">
                    <input class="rounded-checkbox" type="checkbox" id="show_interests" name="show_interests"
                           value="1" <?= $this->user_data->show_interests ? 'checked="checked"' : '' ?>>
                    <!--<label for="show_interests" class="text-grey"
                           style="font-size: 16px;line-height: 18px;"><?/*= __('show_public') */?></label>-->
                </div>
            </div>
        </div>

        <!--Country-->
        <? $model = new Cubix_Geography_Countries() ?>
        <div class="d-flex div-2-cols border-separator">
            <div class="dropdown-selection dropdown-with-radio single-option w-100">
                <div class="dropdown">
                    <select class="single-option-select d-none" id="country" name="country_id">
                        <option value="">- <?= strtolower(__('pv2_label_country')) ?> -&nbsp;&nbsp;</option>
                        <? foreach ($model->ajaxGetAll(false) as $country): ?>
                            <? if ($this->user_data->country_id == $country->id) $primary_country = $country->title ?>
                            <option value="<?= $country->id ?>"<?= $this->user_data->country_id == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?>
                                &nbsp;&nbsp;
                            </option>
                        <? endforeach ?>
                    </select>
                    <a class="dropdown-toggle" id="countryFilter" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <label><?= __('country') ?></label>
                        <span class="dropdown-toggle-val uppercase">
                            <?= ($primary_country) ? $primary_country : __('nothing_selected_html') ?>
                        </span>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="countryFilter">
                        <? foreach ($model->ajaxGetAll(false) as $country): ?>
                            <li data-val="<?= $country->id ?>"><a href="javascript:void(0)"><?= $country->title ?>&nbsp;&nbsp;</a>
                            </li>
                        <? endforeach ?>
                    </ul>
                </div>
                <div class="radio-button-container">
                    <input class="rounded-checkbox" type="checkbox" id="show_location" name="show_location"
                           value="1" <?= $this->user_data->show_location ? 'checked="checked"' : '' ?>>
                    <!--<label for="show_location" class="text-grey"
                           style="font-size: 16px;line-height: 18px;"><?/*= __('show_public') */?></label>-->
                </div>
            </div>

            <? $model = new Cubix_Geography_Cities() ?>
            <div class="dropdown-selection dropdown-with-radio single-option w-100">
                <div class="dropdown">
                    <select class="single-option-select d-none" id="cities" name="city_id">
                        <option value="">- <?= strtolower(__('pv2_label_city')) ?> -&nbsp;&nbsp;</option>
                        <? if ($this->user_data->country_id): ?>
                            <? foreach ($model->ajaxGetAll(null, $this->user_data->country_id) as $city): ?>
                                <? if ($this->user_data->city_id == $city->id) $primary_city = $city->title ?>
                                <option value="<?= $city->id ?>"<?= $this->user_data->city_id == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?>
                                    &nbsp;&nbsp;
                                </option>
                            <? endforeach ?>
                        <? endif ?>
                    </select>
                    <a class="dropdown-toggle" id="citiesFilter" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <label><?= __('pv2_label_city') ?></label>
                        <span class="dropdown-toggle-val uppercase">
                            <?= $primary_city ? $primary_city : __('nothing_selected_html') ?>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="citiesFilter">
                        <? if ($this->user_data->country_id): ?>
                            <? foreach ($model->ajaxGetAll(null, $this->user_data->country_id) as $city): ?>
                                <li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?>&nbsp;&nbsp;</a>
                                </li>
                            <? endforeach ?>
                        <? endif ?>
                    </ul>
                </div>
            </div>
        </div>
        <div class="dropdown-selection dropdown-with-radio single-option w-100 border-separator">
            <div class="dropdown-selection justify-content-between align-items-center flex-fill">
                <label><?= __('pv2_select_language') ?></label>
                <select size="5" class="multiple-dropdown-box" name="langs[]" multiple="multiple">
                    <? foreach ($defines['language_options'] as $i => $title): ?>
                        <option value="<?= $i ?>" <?= in_array($i, $this->user_data['langs']) ? 'selected="selected"' : '' ?>><?= $title ?></option>
                    <? endforeach ?>
                </select>
            </div>
            <div class="radio-button-container">
                <input class="rounded-checkbox" type="checkbox" id="show_languages" name="show_languages"
                       value="1" <?= $this->user_data->show_languages ? 'checked="checked"' : '' ?>>
                <!--<label for="show_languages" class="text-grey"
                       style="font-size: 16px;line-height: 18px;"><?/*= __('show_public') */?></label>-->
            </div>
        </div>
<!--        <div class="border-separator">-->
<!--            <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">-->
<!--                <label class="mobile">--><?//= __('pv2_section_about_me') ?><!--</label>-->
<!--                <input id="descriptionInput" name="countryInput" placeholder="Other phone instructions..." value="--><?//= $this->user_data->about_me ?><!--" />-->
<!--            </div>-->
<!--            <div class="dropdown-selection dropdown-with-radio single-option w-100">-->
<!--                <div class="radio-button-container">-->
<!--                    <input class="rounded-checkbox" type="checkbox" id="show_about_me" name="show_about_me"-->
<!--                           value="1" --><?//= $this->user_data->show_about_me ? 'checked="checked"' : '' ?><!--
                   <label for="show_about_me" class="text-grey"-->
<!--                           style="font-size: 16px;line-height: 18px;">--><?//= __('show_public') ?><!--</label>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
    </form>
</div>

<div class="clear mb-30"></div>
<div class="d-flex justify-content-end align-items-center">
    <a href="#" class="uppercase text-grey discard mr-30"><?= __('reset') ?></a>
    <button class="btn btn-big btn-brown btn-bold uppercase submit"><?= __('pv2_save_changes') ?></button>
</div>
<div class="clear mb-40 "></div>
